Skip to main content
POST
https://sendazi.com/api/v1
/
message-templates
{
  "name": "Welcome Message",
  "content": "Hello [First Name]! Welcome to our service. Reply STOP to unsubscribe.",
  "type": "sms"
}
{
  "name": "Appointment Reminder",
  "content": "Hello [First Name], this is a reminder about your appointment tomorrow.",
  "type": "voice"
}
{
  "success": true,
  "data": {
    "id": 3,
    "uuid": "6fg3d9d9-f73e-5d54-0c60-10g3284eb92b",
    "name": "Welcome Message",
    "content": "Hello [First Name]! Welcome to our service. Reply STOP to unsubscribe.",
    "type": "sms",
    "created_at": "2026-01-15T14:00:00.000000Z",
    "updated_at": "2026-01-15T14:00:00.000000Z"
  }
}
{
  "success": false,
  "message": "The given data was invalid.",
  "errors": {
    "type": ["The selected type is invalid."]
  }
}
name
string
required
Name of the template for identification
content
string
required
Template content. Supports placeholders like [First Name], [Last Name], etc.
type
string
required
Template type: sms or voice

Available Placeholders

PlaceholderDescription
[First Name]Contact’s first name
[Last Name]Contact’s last name
[Phone Number]Contact’s phone number
[Email]Contact’s email address
{
  "name": "Welcome Message",
  "content": "Hello [First Name]! Welcome to our service. Reply STOP to unsubscribe.",
  "type": "sms"
}
{
  "name": "Appointment Reminder",
  "content": "Hello [First Name], this is a reminder about your appointment tomorrow.",
  "type": "voice"
}
{
  "success": true,
  "data": {
    "id": 3,
    "uuid": "6fg3d9d9-f73e-5d54-0c60-10g3284eb92b",
    "name": "Welcome Message",
    "content": "Hello [First Name]! Welcome to our service. Reply STOP to unsubscribe.",
    "type": "sms",
    "created_at": "2026-01-15T14:00:00.000000Z",
    "updated_at": "2026-01-15T14:00:00.000000Z"
  }
}
{
  "success": false,
  "message": "The given data was invalid.",
  "errors": {
    "type": ["The selected type is invalid."]
  }
}